using FluentValidation;

namespace Indotalent.Features.Inventory.NegativeAdjustment.Cqrs;

public class UpdateNegativeAdjustmentValidator : AbstractValidator<UpdateNegativeAdjustmentRequest>
{
    public UpdateNegativeAdjustmentValidator()
    {
        RuleFor(x => x.Id).NotEmpty();
        RuleFor(x => x.AdjustmentDate).NotEmpty().WithMessage("Adjustment Date is required");
    }
}